<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

return new class extends Migration
{
    /**
     * Run the migrations.
     *
     * @return void
     */
    public function up()
    {
        Schema::table('order_user_infos', function (Blueprint $table) {
            $table->text("know")->nullable()->comment("是否知悉")->after("body_images");
            $table->text("understand")->nullable()->comment("是否理解")->after("know");
            $table->text("really")->nullable()->comment("是否真实")->after("understand");
            $table->text("duty")->nullable()->comment("是否愿意承担责任")->after("really");
        });
    }

    /**
     * Reverse the migrations.
     *
     * @return void
     */
    public function down()
    {
        Schema::table('order_user_infos', function (Blueprint $table) {
            $table->dropColumn('know');
            $table->dropColumn('understand');
            $table->dropColumn('really');
            $table->dropColumn('duty');
        });
    }
};
